/***************************************************************************************************/
/* pp00examplesanta01.pov  - Copyright Chris Bartlett 2005                                         */
/* This work is licensed for royalty free re-use under the terms of the POV-Person License.        */
/* To view a copy of this license, visit http://www.telinco.co.uk/c_bartlett/license/license.htm   */
/***************************************************************************************************/

#version 3.5;
#ifndef(ppCamera)  #declare ppCamera="BackABit";  #end      // Required to prevent camera definitions in the include files being used. 

#include "povperson.inc"

#declare Santa = object {ppFigure ("ppsanta.inc","ppsantastyle.inc","pplookstraight.inc","ppstanding.inc","ppsantaoutfit.inc")} 
object {Santa rotate y*220 pigment {color rgb <1,1,0>}}
//object {Santa rotate y*270 translate  x pigment {color rgb <1,1,0>}}
//object {Santa rotate y*135 translate -x*1.5 pigment {color rgb <1,1,0>}}

plane {y,0 texture {pigment {color rgb <1,1,1>} normal {bumps scale <0.5,1,0.5>}}}  
#ifdef (MyLine) object {MyLine rotate y*220} #end

#if (strcmp(ppCamera,"Portrait")=0)
  light_source { < 2, 60  ,-30> color rgb<1, 1  , 1  >*0.6 }   
  light_source { < 0, 24  ,-26> color rgb<1, 1  , 1  >*1.2 }   
  light_source { <5,  6.5,-10> color rgb<1, 0.5, 0.5>}   
  camera {
    location <3, 0,-5>
    look_at  <0, -0.2, 0>
    right x*0.8
    up y*0.8*3/4 
  }
#end 

#if (strcmp(ppCamera,"BackABit")=0)
  light_source { < 2, 60  ,-30> color rgb<1, 1  , 1  >*0.6 }   
  light_source { < 0, 24  ,-26> color rgb<1, 1  , 1  >*1.2 }   
  light_source { <5,  6.5,-10> color rgb<1, 0.5, 0.5>}   
  camera {
    location <1, 1.7,-3>
    look_at  <0, 1.5, 0>
    right x*0.8
    up y*0.8*3/4 
  }
#end 

#if (strcmp(ppCamera,"Front")=0)
  light_source { < 2, 60  ,-30> color rgb<1, 1  , 1  >*0.6 }   
  light_source { < 0, 24  ,-26> color rgb<1, 1  , 1  >*1.2 }   
  light_source { < 5, 6.5 ,-10> color rgb<1, 1  , 1  >}   
  camera {  
    location <-0,-0.5,-4>
    look_at  <0, -0.5, 0>
  }
#end 

#if (strcmp(ppCamera,"Right")=0)
  light_source { <-20, 60  ,-30> color rgb<1, 1  , 1  >*0.6 }   
  light_source { <-20,-60  , 30> color rgb<1, 1  , 1  >*0.6 }   
  light_source { < 0 , 24  ,-26> color rgb<1, 1  , 1  >*1.2 }   
  light_source { < 5 ,  6.5,-10> color rgb<1, 1  , 1  >}   
  camera {  
    location <-4, 0, 0>
    look_at  <0, 0, 0>
  }
#end

#if (strcmp(ppCamera,"Back")=0)
  light_source { < 2, 60  ,30> color rgb<1, 1  , 1  >*0.6 }   
  light_source { < 0, 24  ,26> color rgb<1, 1  , 1  >*1.2 }   
  light_source { < 5,  6.5,10> color rgb<1, 0.5, 0.5>}   
  camera {  
    location <-0, 0,4>
    look_at  <0, 0, 0>
  }
#end