/***************************************************************************************************/
/* ppSimplifiedHumanAnatomy.inc  - Copyright Chris Bartlett Oct 2004.                              */
/* This work is licensed for royalty free re-use under the terms of the POV-Person License.        */
/* To view a copy of this license, visit http://www.telinco.co.uk/c_bartlett/license/license.htm   */
/***************************************************************************************************/

#version 3.5;

#ifndef(ppCamera)   #declare ppCamera="AnatomyCamera";   #end
#include "povperson.inc"
ppInitialiseMatrices()


#local ppObj1 = union {
  cylinder {<0,0,0>,<0,0.5,0>,0.01   pigment {rgb <1,1,1>}}
  cylinder {<-0.5,0.5,0>,<0,0.5,0>,0.01   pigment {rgb <1,1,1>}}
}                       
#local ppObj2 = union {
  cylinder {<0,0,0>,<0,0.5,0>,0.01   pigment {rgb <1,0,0>}}                       
  cylinder {<0,0,0>,<0,0,0.2>,0.01   pigment {rgb <1,0,0>}}
}                       

#local ppObj1Ref   = ppAddBodyPart("",object{ppObj1});           
#local ppObj2Ref   = ppAddBodyPart("",object{ppObj2});           
                                                                                                                                                                                                                                               
 
#local ppJointRef  = ppAddJoint("",ppObj1Ref ,ppObj2Ref ,<-0.5,0.5,0>,<0,0.5,0>,y,-x,z,-90,90,-95  ,180,-45,105)
                                                                              


//  Macro ppRotateJoint (ppJointRef,ppJointCentralAxisRotation,ppJointPrimaryAxisRotation,ppJointSecondaryAxisRotation)
//  is used to orient body parts

ppRotateJoint(ppJointRef,90,45,0)


#if (strcmp(ppCamera,"AnatomyCamera")=0)  
  camera {
    location <3, 1,0>
    look_at <0, 0.5, 0>
    angle 34.3775
  }
  
  light_source { <250, 60,-8900> color rgb<1, 1, 1>*0.6 }   
  light_source { <0, 1400,-1600> color rgb<1, 1, 1>*1.2 }   
  light_source { <0, 60,0> color rgb<1, 0.5, 0.5>} 
  light_source { <10, 4,10> color rgb<1, 1,1>} 
  
//  object {ppAnatomyScale}
  
//  #declare ppBodyPartListOrientation[ppObj1Ref]=<0,0,0>;
//  #declare ppBodyPartListPosition[ppObj1Ref]   =<0,0.5,0>;
  #declare ppBodyPartListOrientation[ppObj2Ref]=<0,0,0>;
  #declare ppBodyPartListPosition[ppObj2Ref]   =<0,0,0>;

  ppCalculateBodyPartTransformations()

#debug concat("Angle ",vstr(3,ppBodyPartListOrientation[ppObj2Ref],",",0,1),"\n") 

  #local ppThisFigure = ppBuildFigure()  
  object {ppThisFigure}
  
#end



