/***************************************************************************************************/
/* ppbill.inc  - Copyright Chris Bartlett October 2004                                             */
/* This work is licensed for royalty free re-use under the terms of the POV-Person License.        */
/* To view a copy of this license, visit http://www.telinco.co.uk/c_bartlett/license/license.htm   */
/***************************************************************************************************/

#declare ppModelPrefix = "ppm2";            // Bill is modeled using files with this prefix 
#declare ppGender = "male";               // Bill is male. Valid values are 'male' and 'female' 
#declare ppCharacterTemplate = "pphuman001";// Bill is a human

                                                                                // Recommended Values
                                                                                // ******************
#ifndef (ppSkinDarkness)         #declare ppSkinDarkness=1.2;                  #end // 0.7 to 8       1 is default, 2 is more dark
#ifndef (ppSkinRedness)          #declare ppSkinRedness=1.1;                   #end // 0.9 to 2       1 is not very red, 1.5 is redder  
#ifndef (ppSkinNoiseGenerator)   #declare ppSkinNoiseGenerator=3;              #end // See noise_generator in the POV-Ray Help 

#ifndef (ppEyeColour)            #declare ppEyeColour = 2;                     #end // 1=Blue, 2=Brown, 3=Green
#ifndef (ppEyeBrightness)        #declare ppEyeBrightness = 1.5;               #end // 0.5 = Dark, 1.5 = Bright    
#ifndef (ppEyePupil)             #declare ppEyePupil = 1;                      #end // 1.35 = dilated (big black bit), 0.35 = constricted (small black bit) 

#ifndef (ppEyePosition)          #declare ppEyePosition = <13.2, 80.6, -3.5>;  #end // This needs to match the model prefix below:

#ifndef (ppEyeshadowColour)       #declare ppEyeshadowColour  = 1;               #end // More or less any colour you want
#ifndef (ppEyeshadowExtent)      #declare ppEyeshadowExtent = 0.2;             #end // 0.2 to 1.5     1 is default
#ifndef (ppBlusherColour)         #declare ppBlusherColour  = <1,0,0,0.5>;       #end // More or less any colour you want
#ifndef (ppBlusherExtent)        #declare ppBlusherExtent = 0.1;               #end // 0.3 to 1       0.4 is default

#ifndef (ppLashLength)           #declare ppLashLength    = 15;                #end // 10    to 30 
#ifndef (ppLashDensity)          #declare ppLashDensity   = 0.7;               #end // 0.5   to 1 
#ifndef (ppLashThickness)        #declare ppLashThickness = 0.009;             #end // 0.009 to 0.036 
#ifndef (ppLashColour)           #declare ppLashColour    = <0.5,0.3,0.3>;     #end //
   
#ifndef (ppEyebrowHairThickness) #declare ppEyebrowHairThickness = 0.030;      #end // 0.009 to 0.036 
#ifndef (ppEyebrowHairColour)    #declare ppEyebrowHairColour  = ppLashColour; #end // Yellow
#ifndef (ppLipColour)             #declare ppLipColour = <1,0.5,0.5,0.4>;        #end // The Transparency defines how much affect the skin colour has on the lip colour  
//#ifndef (ppHairThickness)        #declare ppHairThickness = 0.004;             #end // 0.003 = Thin Hair, 0.009 = Thick Hair (Thin Hair needs more hairs and takes longer) 

#declare ppChestSize  = 0.5;
#declare ppBreastSize = 0.5;