/***************************************************************************************************/
/* ppf2definition.inc  - Copyright Chris Bartlett Dec 2004.                                        */
/* This work is licensed for royalty free re-use under the terms of the POV-Person License.        */
/* To view a copy of this license, visit http://www.telinco.co.uk/c_bartlett/license/license.htm   */
/***************************************************************************************************/



#include "ppupperteeth.inc"
#include "pplowerteeth.inc"
#include "ppeye.inc"
#include "ppf2eyebrow.inc"
#include "ppf2ear.inc"
#include "ppf2face.inc" 
#include "ppf2eyelid.inc"
#include "ppf2eyelash.inc"
#include "ppf2lips.inc"
#include "ppf2body.inc"
#include "pphairline.inc"
#include "pphairstyle.inc" 



#declare ppHeadScalingFactor = 0.0030; 
#ifndef (ppSkinTexture) #declare ppSkinTexture = texture {ppSkinTexture1 scale ppHeadScalingFactor}; #end
#declare ppFaceTexture = texture {ppFaceTexture1 scale ppHeadScalingFactor}

#declare ppHead = union {
  object {ppFace}
  object {ppFace scale <-1,1,1>}
  scale ppHeadScalingFactor 
  texture {ppFaceTexture} 
  rotate y*180  translate <0,-0.18,0.11>
}

#declare ppLeftEar = object {ppEar
  scale ppHeadScalingFactor 
  texture {ppFaceTexture} 
  rotate y*180  translate <-0.002,-0.18,0.12>
}   


#declare ppLeftLips = object {ppLips
  texture {ppLipTexture}
  scale ppHeadScalingFactor rotate y*180  translate <0,-0.18,0.11>
}

#declare ppLeftUpperEyeLid = object {ppLeftUpperEyeLid1
  scale ppHeadScalingFactor 
  texture {ppFaceTexture} 
  rotate y*180  translate <0,-0.18,0.11>
}
  
#declare ppLeftLowerEyeLid = object {ppLeftLowerEyeLid1
  scale ppHeadScalingFactor 
  texture {ppFaceTexture} 
  rotate y*180  translate <0,-0.18,0.11>
}

#declare ppRightUpperEyeLid = object {ppRightUpperEyeLid1
  scale ppHeadScalingFactor 
  texture {ppFaceTexture} 
  rotate y*180  translate <0,-0.18,0.11>
}
  
#declare ppRightLowerEyeLid = object {ppRightLowerEyeLid1
  scale ppHeadScalingFactor 
  texture {ppFaceTexture} 
  rotate y*180  translate <0,-0.18,0.11>
}

  
#declare ppAdjustedEyePosition = (ppEyePosition * ppHeadScalingFactor * <1,1,-1>)+<0,-0.18,0.11>;
#declare ppLeftEye  = object {ppEye1 scale ppHeadScalingFactor rotate y*180}


// Map the required body parts to the human001 objects
#declare ppLeftUpperLash  = object {ppLeftUpperLash1  texture {ppEyeLashTexture translate ppEyePosition-2*z} scale ppHeadScalingFactor rotate y*180  translate <0,-0.18,0.11>}
#declare ppLeftLowerLash  = object {ppLeftLowerLash1  texture {ppEyeLashTexture scale <1,-1,1> translate ppEyePosition-1*z} scale ppHeadScalingFactor rotate y*180  translate <0,-0.18,0.11>}
#declare ppRightUpperLash = object {ppRightUpperLash1 texture {ppEyeLashTexture translate <-1,1,1>*ppEyePosition-2*z} scale ppHeadScalingFactor rotate y*180  translate <0,-0.18,0.11>}
#declare ppRightLowerLash = object {ppRightLowerLash1 texture {ppEyeLashTexture scale <1,-1,1> translate <-1,1,1>*ppEyePosition-1*z} scale ppHeadScalingFactor rotate y*180  translate <0,-0.18,0.11>}

#declare ppLeftEyeBrow    = object {ppEyeBrow texture {ppEyebrowTexture  rotate -z*45 translate ppEyePosition+<4,-4,10>}                scale ppHeadScalingFactor rotate y*180  translate <0,-0.18,0.11>}

#declare ppUpperTeeth = union {
  object {ppUpperTeeth pigment {color rgb <1,1,1>} translate -x }
  object {ppUpperTeeth pigment {color rgb <1,1,1>} translate -x scale <-1,1,1>}
  scale ppHeadScalingFactor rotate y*180  translate <0,-0.18,0.11>
}
#declare ppLowerTeeth = union {
  object {ppLowerTeeth pigment {color rgb <1,1,1>} translate -x }
  object {ppLowerTeeth pigment {color rgb <1,1,1>} translate -x scale <-1,1,1>}     
  scale ppHeadScalingFactor rotate y*180  translate <0,-0.18,0.11>
}

#declare ppHair = object {ppHair   scale ppHeadScalingFactor rotate y*180  translate <0,-0.18,0.11>} 
  
#ifdef (ppBeardColour) #declare ppBeard = object {ppBeard   scale ppHeadScalingFactor rotate y*180  translate <0,-0.18,0.11>} #end 

//  Torso
#declare ppChest      = object {ppChest1   texture {ppSkinTexture}}
#declare ppAbdomen    = object {ppAbdomen1 texture {ppSkinTexture}}
#declare ppHips       = object {ppHips1    texture {ppSkinTexture}}
#declare ppNeck       = sphere{<0,0,0>,0.0000001}

//  The Left Shoulder
#declare ppLeftShoulder          =  object {ppShoulder1 texture {ppSkinTexture}}

//  The Left Arm
#declare ppLeftForeArm           =  object {ppForeArm1  texture {ppSkinTexture}}
#declare ppLeftUpperArm          =  object {ppUpperArm1 texture {ppSkinTexture}}

//  The Left Hand
#declare ppLeftThumbTip          =  object {ppFingerTip1  rotate <90,-90,0> texture {ppSkinTexture}}
#declare ppLeftThumbNail         =  object {ppFingerNail1 rotate <90,-90,0> texture {ppFingerNailTexture}}
#declare ppLeftFirstFingerTip    =  object {ppFingerTip1  rotate <90,-90,0> texture {ppSkinTexture}}
#declare ppLeftFirstFingerNail   =  object {ppFingerNail1 rotate <90,-90,0> texture {ppFingerNailTexture}}
#declare ppLeftMiddleFingerTip   =  object {ppFingerTip1  rotate <90,-90,0> texture {ppSkinTexture}}
#declare ppLeftMiddleFingerNail  =  object {ppFingerNail1 rotate <90,-90,0> texture {ppFingerNailTexture}}
#declare ppLeftThirdFingerTip    =  object {ppFingerTip1  rotate <90,-90,0> texture {ppSkinTexture}}
#declare ppLeftThirdFingerNail   =  object {ppFingerNail1 rotate <90,-90,0> texture {ppFingerNailTexture}}
#declare ppLeftLittleFingerTip   =  object {ppFingerTip1  rotate <90,-90,0> texture {ppSkinTexture}}
#declare ppLeftLittleFingerNail  =  object {ppFingerNail1 rotate <90,-90,0> texture {ppFingerNailTexture}}

#declare ppLeftThumbMiddle        =  object {ppFingerMiddleSegment1 rotate <90,-90,0> texture {ppSkinTexture}}
#declare ppLeftFirstFingerMiddle  =  object {ppFingerMiddleSegment1 rotate <90,-90,0> texture {ppSkinTexture}}
#declare ppLeftMiddleFingerMiddle =  object {ppFingerMiddleSegment1 rotate <90,-90,0> texture {ppSkinTexture}}
#declare ppLeftThirdFingerMiddle  =  object {ppFingerMiddleSegment1 rotate <90,-90,0> texture {ppSkinTexture}}
#declare ppLeftLittleFingerMiddle =  object {ppFingerMiddleSegment1 rotate <90,-90,0> texture {ppSkinTexture}}

#declare ppLeftThumbBase        =  object {ppThumbBase1              rotate <90,-90,0> texture {ppSkinTexture}}
#declare ppLeftFirstFingerBase  =  object {ppFingerBaseOuterSegment1 rotate <90,-90,0> texture {ppSkinTexture} scale <1,1,-1>}
#declare ppLeftMiddleFingerBase =  object {ppFingerBaseInnerSegment1 rotate <90,-90,0> texture {ppSkinTexture}}
#declare ppLeftThirdFingerBase  =  object {ppFingerBaseInnerSegment1 rotate <90,-90,0> texture {ppSkinTexture}}
#declare ppLeftLittleFingerBase =  object {ppFingerBaseOuterSegment1 rotate <90,-90,0> texture {ppSkinTexture}}

#declare ppLeftPalm   =  object {ppPalm1 rotate <90,-90,0> texture {ppSkinTexture}}

#declare ppLeftPalmWristPos   = vrotate(ppPalm1WristPos,<90,-90,0>);
#declare ppLeftPalmThumbPos   = vrotate(ppPalm1ThumbPos,<90,-90,0>);
#declare ppLeftPalmFinger1Pos = vrotate(ppPalm1Finger1Pos,<90,-90,0>);
#declare ppLeftPalmFinger2Pos = vrotate(ppPalm1Finger2Pos,<90,-90,0>);
#declare ppLeftPalmFinger3Pos = vrotate(ppPalm1Finger3Pos,<90,-90,0>);
#declare ppLeftPalmFinger4Pos = vrotate(ppPalm1Finger4Pos,<90,-90,0>);

#declare ppLeftThumbJointPos = array[3];
#declare ppLeftThumbJointPos[0] = vrotate(ppThumbJointPos[0],<90,-90,0>); // Base   -> Middle
#declare ppLeftThumbJointPos[1] = vrotate(ppThumbJointPos[1],<90,-90,0>); // Middle -> Tip     
#declare ppLeftThumbJointPos[2] = vrotate(ppThumbJointPos[2],<90,-90,0>); // Tip    -> Nail

#declare ppLeftFingerJointPos = array[3]; 
#declare ppLeftFingerJointPos[0] = vrotate(ppFingerJointPos[0],<90,-90,0>); // Base   -> Middle
#declare ppLeftFingerJointPos[1] = vrotate(ppFingerJointPos[1],<90,-90,0>); // Middle -> Tip   
#declare ppLeftFingerJointPos[2] = vrotate(ppFingerJointPos[2],<90,-90,0>); // Tip    -> Nail  

//  The Left Leg
#declare ppLeftCalf   = object {ppCalf1  texture {ppSkinTexture}}                                      
#declare ppLeftThigh  = object {ppThigh1  texture {ppSkinTexture}}                                      

//  The Left Foot
#declare ppLeftFoot   =  object {ppFoot1    texture {ppSkinTexture}}

#declare ppLeftFootAnklePos  = ppFoot1AnklePos; 
#declare ppLeftFootBigToePos = ppFoot1BigToePos;
#declare ppLeftFootToe1Pos   = ppFoot1Toe1Pos; 
#declare ppLeftFootToe2Pos   = ppFoot1Toe2Pos; 
#declare ppLeftFootToe3Pos   = ppFoot1Toe3Pos; 
#declare ppLeftFootToe4Pos   = ppFoot1Toe4Pos; 

//  Toes and Toenails
#declare ppLeftBigToeTip      =  object {ppToeTip1  texture {ppSkinTexture}}
#declare ppLeftBigToeNail     =  object {ppToeNail1 texture {ppFingerNailTexture}}
#declare ppLeftFirstToeTip    =  object {ppToeTip1  texture {ppSkinTexture}}
#declare ppLeftFirstToeNail   =  object {ppToeNail1 texture {ppFingerNailTexture}}
#declare ppLeftMiddleToeTip   =  object {ppToeTip1  texture {ppSkinTexture}}
#declare ppLeftMiddleToeNail  =  object {ppToeNail1 texture {ppFingerNailTexture}}
#declare ppLeftThirdToeTip    =  object {ppToeTip1  texture {ppSkinTexture}}
#declare ppLeftThirdToeNail   =  object {ppToeNail1 texture {ppFingerNailTexture}}
#declare ppLeftLittleToeTip   =  object {ppToeTip1  texture {ppSkinTexture}}
#declare ppLeftLittleToeNail  =  object {ppToeNail1 texture {ppFingerNailTexture}}

#declare ppLeftFirstToeMiddle  =  object {ppToeMiddle1 texture {ppSkinTexture}}
#declare ppLeftMiddleToeMiddle =  object {ppToeMiddle1 texture {ppSkinTexture}}
#declare ppLeftThirdToeMiddle  =  object {ppToeMiddle1 texture {ppSkinTexture}}
#declare ppLeftLittleToeMiddle =  object {ppToeMiddle1 texture {ppSkinTexture}}

#declare ppLeftBigToeBase    =  object {ppToeBaseOuter1 texture {ppSkinTexture}}
#declare ppLeftFirstToeBase  =  object {ppToeBaseInner1 texture {ppSkinTexture}}
#declare ppLeftMiddleToeBase =  object {ppToeBaseInner1 texture {ppSkinTexture}}
#declare ppLeftThirdToeBase  =  object {ppToeBaseInner1 texture {ppSkinTexture}}
#declare ppLeftLittleToeBase =  object {ppToeBaseOuter1 texture {ppSkinTexture}}
