/***************************************************************************************************/
/* legparts.inc  - Copyright Chris Bartlett 17 Dec 2004                                            */
/* This work is licensed for royalty free re-use under the terms of the POV-Person License.        */
/* To view a copy of this license, visit http://www.telinco.co.uk/c_bartlett/license/license.htm   */
/***************************************************************************************************/
#ifndef(ppCamera)  #declare ppCamera="FootCamera"; #end

#declare ppFoot1 = blob {
  threshold 0.7
  sphere {<0,0,-0.5>,2.5,1}                                                             // Heel
  cylinder {<0,0.6,0>,<0,1.5,0>,1.55,0.7 scale <0.5,1,1> translate <-0.15,0,-0.24>}       // Tendon
  cylinder {<0,0.6,0>,<0,1,0>,1.4,0.7 translate z*0.5}                                      //
  cylinder {<-0.3,0.9,1.15>,<0,0.1,1.5>,1.5,0.9  scale 1.6*z pigment {color rgb <1,0,0>}}           //
//  sphere {<-0.3,0.7,1.15>,1.5,1  scale 1.6*z pigment {color rgb <1,0,0>}}                   // Core
  
  cylinder {<-0.75,0.2 ,0>,<-1.2 ,-0.32,3.7 >,0.45,1 scale <1,1.1,1>  translate <0,0,0>}  // Little Toe Radial
  cylinder {<-0.45,0.65,0>,<-0.7 ,-0.30,4.0 >,0.52,1 scale <1,1.3,1>  translate <0,0,0>}
  cylinder {<-0.15,0.8 ,0>,<-0.1 ,-0.28,4.3 >,0.55,1 scale <1,1.3,1>  translate <0,0,0>}
  cylinder {< 0.15,0.82,0>,< 0.6 ,-0.25,4.4 >,0.58,1 scale <1,1.3,1>  translate <0,0,0>}
  cylinder {< 0.50,0.3 ,0>,< 1.25,-0.20,4.2 >,0.68,1 scale <1,1.5,1>  translate <0,0,0>}  // Big Toe Radial

  sphere {0,1.0,0.95 scale <1,0.9 ,1.0> translate < 1.20,-0.48,3.7 >}                     // Ball at root of Big Toe
  sphere {0,2.4,0.85 scale <1,0.35,1>   translate < -0.8,-0.5 ,3.5 >}                     // Pad at front of foot
  sphere {0,2.2,0.4  scale <1,0.35,1>   translate <  0.5,-0.6 ,3.9 >}                     // Pad at front centre
  
  cylinder {<-0.8,-0.30,2.9>,< 0.65,-0.35,3.2 >,1.0,0.6}                                  // Arch of the foot
  cylinder {<-0.8,-0.30,2.4>,< 0.65,-0.30,2.5 >,0.7,0.8}                                  // 
  cylinder {<-0.7,-0.20,1.8>,< 0.60,-0.25,2.0 >,0.7,0.8}                                  // 
  cylinder {<-0.6,-0.10,1.3>,< 0.60,-0.15,1.5 >,0.7,0.8}                                  // 
  cylinder {<-0.6,-0.05,0.8>,< 0.60,-0.10,1.0 >,0.7,0.8}                                  // 

  translate <0,0.6,-0.2> 
  scale <0.94,1.8,0.94>
}


#if (strcmp(ppCamera,"FootCamera")=0)
  camera {
    location <0, 0, -30>
    look_at <0, 0, 0>
    angle 34.3775
  }
  
  light_source { <250, 60,-8900> color rgb<1, 1, 1>*0.6 }   
  light_source { <0, 1400,-1600> color rgb<1, 1, 1>*1.2 }   
  light_source { <0, 60,0> color rgb<1, 0.5, 0.5>} 
   
//  object {ppFoot1 pigment {color rgb <1,0.8,0.8>}}
  object {ppFoot1 rotate <-90,0,-90> rotate x*00   pigment {color rgb <1,0.8,0.8>} translate < 2,2,0>}
  object {ppFoot1 rotate <-90,0,-90> rotate x*90   pigment {color rgb <1,0.8,0.8>} translate < 2,-4,0>}
  object {ppFoot1 rotate <-90,0,90>  rotate x*90   pigment {color rgb <1,0.8,0.8>} translate <-1,-4,0>}
  object {ppFoot1 rotate <-90,0,90>  rotate x*180  pigment {color rgb <1,0.8,0.8>} translate <-1,2,0>}
  object {ppFoot1 rotate <-90,0,210> rotate x*70   pigment {color rgb <1,0.8,0.8>} translate <-8,0,0>}
  
  cylinder {<-25,0,0><25,0,0>0.05 pigment {rgb <1,1,0>}}
//  cylinder {<-1.1,0.6,-5><-1.1,0.6,5>, 0.01 pigment {rgb <0,1,0>} translate -x*1.5}
   
#end                                                    

#if (strcmp(ppCamera,"LegCamera")=0)
  camera {
    location <0, 0, -30>
    look_at <0, 0, 0>
    angle 34.3775
  }
  
  light_source { <250, 60,-8900> color rgb<1, 1, 1>*0.6 }   
  light_source { <0, 1400,-1600> color rgb<1, 1, 1>*1.2 }   
  light_source { <0, 60,0> color rgb<1, 0.5, 0.5>} 
   
//  object {ppFingerTip1 pigment {color rgb <1,0.8,0.8>} translate x}
//  object {ppFingerMiddleSegment1 pigment {color rgb <1,0.8,0.8>}}
  object {ppFoot1 rotate <-90,0,-90> rotate x*00   pigment {color rgb <1,0.8,0.8>} translate <-2,0,0>}
  object {ppFoot1 rotate <-90,0,-90> rotate x*90   pigment {color rgb <1,0.8,0.8>} translate <-2,-4,0>}
  object {ppFoot1 rotate <-90,0,90>  rotate x*90  pigment {color rgb <1,0.8,0.8>} translate <-2, 4,0>}
//  object {ppFoot1 rotate <-90,0,90> rotate x*-180 pigment {color rgb <1,0.8,0.8>} translate <-2, 3,0>}
  
  cylinder {<-5,0,0><5,0,0>0.01 pigment {rgb <1,1,0>}}
//  cylinder {<-1.1,0.6,-5><-1.1,0.6,5>, 0.01 pigment {rgb <0,1,0>} translate -x*1.5}
   
#end                                                    
