/***************************************************************************************************/
/* ppr1scaling.inc  - Copyright Chris Bartlett 2005                                                */
/* This work is licensed for royalty free re-use under the terms of the POV-Person License.        */
/* To view a copy of this license, visit http://www.telinco.co.uk/c_bartlett/license/license.htm   */
/***************************************************************************************************/
  
// This macro is used to add a series of scale factors to the parts of a figure. This macro is specific to a particular type of figure (e.g. "m1").
//   
// For the ppr1 model we use a random scaling for various body parts. The calculation 
//                     1+0.2*sind(180*rand(ppRandySeed)-90)               
// gives a random distribution between 0.8 and 1.2 with results most frequently being around 1.
//
// Parameters:
// -----------  
// - This macro has no parameters
// 
#macro ppScaleBodyParts()
  #include "ppf1scaling.inc"

  ppScaleBodyPart (ppLeftThighRef ,<1  +0.2*sind(180*rand(ppRandySeed)-90),1  +0.2*sind(180*rand(ppRandySeed)-90),1+0.2*sind(180*rand(ppRandySeed)-90)>);     
  ppScaleBodyPart (ppLeftCalfRef  ,<1  +0.2*sind(180*rand(ppRandySeed)-90),1  +0.2*sind(180*rand(ppRandySeed)-90),1+0.2*sind(180*rand(ppRandySeed)-90)>);
  ppScaleBodyPart (ppHipRef       ,<1  +0.2*sind(180*rand(ppRandySeed)-90),1  +0.2*sind(180*rand(ppRandySeed)-90),1+0.2*sind(180*rand(ppRandySeed)-90)>);
  ppScaleBodyPart (ppAbdomenRef   ,<1.1+0.2*sind(180*rand(ppRandySeed)-90),1.1+0.2*sind(180*rand(ppRandySeed)-90),1+0.2*sind(180*rand(ppRandySeed)-90)>);
  ppScaleBodyPart (ppChestRef     ,<1  +0.2*sind(180*rand(ppRandySeed)-90),1  +0.2*sind(180*rand(ppRandySeed)-90),1+0.2*sind(180*rand(ppRandySeed)-90)>);

  ppScaleBodyPart (ppRightThighRef,ppBodyPartListScale[ppLeftThighRef]);
  ppScaleBodyPart (ppRightCalfRef ,ppBodyPartListScale[ppLeftCalfRef]);

#end 


