/***************************************************************************************************/
/* ppDefaultHumanBodyParts.inc  - Copyright Chris Bartlett Nov 2004.                               */
/* This work is licensed for royalty free re-use under the terms of the POV-Person License.        */
/* To view a copy of this license, visit http://www.telinco.co.uk/c_bartlett/license/license.htm   */
/***************************************************************************************************/

#version 3.5;   
#ifndef(ppCamera)  #declare ppCamera="SkinTexture";  #end

#ifndef(ppSkinTexture) #declare ppSkinTexture = texture {pigment {color rgb <0,1,1>}} #end

// Define a very simple set of body parts
#ifndef(ppHead)       #declare ppHead       = sphere{<0,0,0>,0.12                   texture {ppSkinTexture}} #end
#ifndef(ppNeck)       #declare ppNeck       = cylinder{<0,0,0>,<0,0.1,0>,0.05       texture {ppSkinTexture}} #end
#ifndef(ppChest)      #declare ppChest      = sphere{<0,0,0>,0.15                   texture {ppSkinTexture}} #end
#ifndef(ppAbdomen)    #declare ppAbdomen    = sphere{<0,0,0>,0.15                   texture {ppSkinTexture}} #end
#ifndef(ppHips)       #declare ppHips       = sphere{<0,0,0>,0.18 scale <1,0.8,0.5> texture {ppSkinTexture}} #end

#ifndef (ppLeftShoulder)             #declare ppLeftShoulder =            cylinder {<0,0,0>,<0,-0.02 ,0>,0.05   texture {ppSkinTexture}} #end                           
#ifndef (ppLeftUpperArm)             #declare ppLeftUpperArm =            cylinder {<0,0,0>,<0,-0.32 ,0>,0.05   texture {ppSkinTexture}} #end                           
#ifndef (ppLeftForeArm)              #declare ppLeftForeArm =             cylinder {<0,0,0>,<0,-0.25 ,0>,0.045  texture {ppSkinTexture}} #end                           
#ifndef (ppLeftPalm)                 #declare ppLeftPalm =                cylinder {<0,0,0>,<0,-0.12 ,0>,0.045  scale <0.2,1,1> texture {ppSkinTexture}} #end                            
#ifndef (ppLeftThumbBase)            #declare ppLeftThumbBase =           cylinder {<0,0,0>,<0,-0.05 ,0>,0.0125 texture {ppSkinTexture}} #end                           
#ifndef (ppLeftThumbMiddle)          #declare ppLeftThumbMiddle =         cylinder {<0,0,0>,<0,-0.04 ,0>,0.01   texture {ppSkinTexture}} #end                           
#ifndef (ppLeftThumbTip)             #declare ppLeftThumbTip =            cylinder {<0,0,0>,<0,-0.035,0>,0.01   texture {ppSkinTexture}} #end                           
#ifndef (ppLeftFirstFingerBase)      #declare ppLeftFirstFingerBase =     cylinder {<0,0,0>,<0,-0.05 ,0>,0.01   texture {ppSkinTexture}} #end                           
#ifndef (ppLeftFirstFingerMiddle)    #declare ppLeftFirstFingerMiddle =   cylinder {<0,0,0>,<0,-0.03 ,0>,0.0075 texture {ppSkinTexture}} #end                           
#ifndef (ppLeftFirstFingerTip)       #declare ppLeftFirstFingerTip =      cylinder {<0,0,0>,<0,-0.025,0>,0.0075 texture {ppSkinTexture}} #end                           
#ifndef (ppLeftMiddleFingerBase)     #declare ppLeftMiddleFingerBase =    cylinder {<0,0,0>,<0,-0.05 ,0>,0.01   texture {ppSkinTexture}} #end                                 
#ifndef (ppLeftMiddleFingerMiddle)   #declare ppLeftMiddleFingerMiddle =  cylinder {<0,0,0>,<0,-0.03 ,0>,0.0075 texture {ppSkinTexture}} #end                                 
#ifndef (ppLeftMiddleFingerTip)      #declare ppLeftMiddleFingerTip =     cylinder {<0,0,0>,<0,-0.025,0>,0.0075 texture {ppSkinTexture}} #end         
#ifndef (ppLeftThirdFingerBase)      #declare ppLeftThirdFingerBase =     cylinder {<0,0,0>,<0,-0.05 ,0>,0.01   texture {ppSkinTexture}} #end         
#ifndef (ppLeftThirdFingerMiddle)    #declare ppLeftThirdFingerMiddle =   cylinder {<0,0,0>,<0,-0.03 ,0>,0.0075 texture {ppSkinTexture}} #end         
#ifndef (ppLeftThirdFingerTip)       #declare ppLeftThirdFingerTip =      cylinder {<0,0,0>,<0,-0.025,0>,0.0075 texture {ppSkinTexture}} #end         
#ifndef (ppLeftLittleFingerBase)     #declare ppLeftLittleFingerBase =    cylinder {<0,0,0>,<0,-0.05 ,0>,0.01   texture {ppSkinTexture}} #end         
#ifndef (ppLeftLittleFingerMiddle)   #declare ppLeftLittleFingerMiddle =  cylinder {<0,0,0>,<0,-0.025,0>,0.0075 texture {ppSkinTexture}} #end         
#ifndef (ppLeftLittleFingerTip)      #declare ppLeftLittleFingerTip =     cylinder {<0,0,0>,<0,-0.023,0>,0.0075 texture {ppSkinTexture}} #end                  
                                                                                                                                                     
                                                                                                                                                     
#ifndef (ppRightShoulder)            #declare ppRightShoulder =           cylinder {<0,0,0>,<0,-0.02 ,0>,0.05   texture {ppSkinTexture}} #end                           
#ifndef (ppRightUpperArm)            #declare ppRightUpperArm =           cylinder {<0,0,0>,<0,-0.32 ,0>,0.05   texture {ppSkinTexture}} #end                        
#ifndef (ppRightForeArm)             #declare ppRightForeArm =            cylinder {<0,0,0>,<0,-0.25 ,0>,0.045  texture {ppSkinTexture}} #end                         
#ifndef (ppRightPalm)                #declare ppRightPalm =               cylinder {<0,0,0>,<0,-0.12 ,0>,0.045  scale <0.2,1,1> texture {ppSkinTexture}} #end                            
#ifndef (ppRightThumbBase)           #declare ppRightThumbBase =          cylinder {<0,0,0>,<0,-0.05 ,0>,0.0125 texture {ppSkinTexture}} #end                       
#ifndef (ppRightThumbMiddle)         #declare ppRightThumbMiddle =        cylinder {<0,0,0>,<0,-0.04 ,0>,0.01   texture {ppSkinTexture}} #end                     
#ifndef (ppRightThumbTip)            #declare ppRightThumbTip =           cylinder {<0,0,0>,<0,-0.035,0>,0.01   texture {ppSkinTexture}} #end                        
#ifndef (ppRightFirstFingerBase)     #declare ppRightFirstFingerBase =    cylinder {<0,0,0>,<0,-0.05 ,0>,0.01   texture {ppSkinTexture}} #end                 
#ifndef (ppRightFirstFingerMiddle)   #declare ppRightFirstFingerMiddle =  cylinder {<0,0,0>,<0,-0.03 ,0>,0.0075 texture {ppSkinTexture}} #end               
#ifndef (ppRightFirstFingerTip)      #declare ppRightFirstFingerTip =     cylinder {<0,0,0>,<0,-0.025,0>,0.0075 texture {ppSkinTexture}} #end                  
#ifndef (ppRightMiddleFingerBase)    #declare ppRightMiddleFingerBase =   cylinder {<0,0,0>,<0,-0.05 ,0>,0.01   texture {ppSkinTexture}} #end           
#ifndef (ppRightMiddleFingerMiddle)  #declare ppRightMiddleFingerMiddle = cylinder {<0,0,0>,<0,-0.03 ,0>,0.0075 texture {ppSkinTexture}} #end           
#ifndef (ppRightMiddleFingerTip)     #declare ppRightMiddleFingerTip =    cylinder {<0,0,0>,<0,-0.025,0>,0.0075 texture {ppSkinTexture}} #end           
#ifndef (ppRightThirdFingerBase)     #declare ppRightThirdFingerBase =    cylinder {<0,0,0>,<0,-0.05 ,0>,0.01   texture {ppSkinTexture}} #end           
#ifndef (ppRightThirdFingerMiddle)   #declare ppRightThirdFingerMiddle =  cylinder {<0,0,0>,<0,-0.03 ,0>,0.0075 texture {ppSkinTexture}} #end           
#ifndef (ppRightThirdFingerTip)      #declare ppRightThirdFingerTip =     cylinder {<0,0,0>,<0,-0.025,0>,0.0075 texture {ppSkinTexture}} #end           
#ifndef (ppRightLittleFingerBase)    #declare ppRightLittleFingerBase =   cylinder {<0,0,0>,<0,-0.05 ,0>,0.01   texture {ppSkinTexture}} #end           
#ifndef (ppRightLittleFingerMiddle)  #declare ppRightLittleFingerMiddle = cylinder {<0,0,0>,<0,-0.025,0>,0.0075 texture {ppSkinTexture}} #end           
#ifndef (ppRightLittleFingerTip)     #declare ppRightLittleFingerTip =    cylinder {<0,0,0>,<0,-0.023,0>,0.0075 texture {ppSkinTexture}} #end                  
                                                                                                                                                     
                                                                                                                                                     
#ifndef(ppRightThigh) #declare ppRightThigh = cylinder{<0,0,0><0,0.45,0>,0.05 texture {ppSkinTexture}} #end                                      
#ifndef(ppRightCalf)  #declare ppRightCalf  = cylinder{<0,0,0><0,0.40,0>,0.05 texture {ppSkinTexture}} #end                                      
#ifndef(ppRightFoot)  #declare ppRightFoot  = cylinder{<0,0.025,-0.04><0,0.025,0.16>,0.05                                                            
                        scale <1,0.5,1> texture {ppSkinTexture}} #end                                                                            
#ifndef (ppRightBigToeBase)       #declare ppRightBigToeBase =      cylinder {<0,0,0>,<0,0,0.05 >,0.0125 texture {ppSkinTexture}} #end                       
#ifndef (ppRightBigToeTip)        #declare ppRightBigToeTip =       cylinder {<0,0,0>,<0,0,0.04 >,0.0125 texture {ppSkinTexture}} #end                        
#ifndef (ppRightFirstToeBase)     #declare ppRightFirstToeBase =    cylinder {<0,0,0>,<0,0,0.03 >,0.01   texture {ppSkinTexture}} #end                 
#ifndef (ppRightFirstToeMiddle)   #declare ppRightFirstToeMiddle =  cylinder {<0,0,0>,<0,0,0.03 >,0.0075 texture {ppSkinTexture}} #end                 
#ifndef (ppRightFirstToeTip)      #declare ppRightFirstToeTip =     cylinder {<0,0,0>,<0,0,0.02 >,0.0075 texture {ppSkinTexture}} #end                  
#ifndef (ppRightMiddleToeBase)    #declare ppRightMiddleToeBase =   cylinder {<0,0,0>,<0,0,0.03 >,0.01   texture {ppSkinTexture}} #end                 
#ifndef (ppRightMiddleToeMiddle)  #declare ppRightMiddleToeMiddle = cylinder {<0,0,0>,<0,0,0.02 >,0.0075 texture {ppSkinTexture}} #end                 
#ifndef (ppRightMiddleToeTip)     #declare ppRightMiddleToeTip =    cylinder {<0,0,0>,<0,0,0.02 >,0.0075 texture {ppSkinTexture}} #end                 
#ifndef (ppRightThirdToeBase)     #declare ppRightThirdToeBase =    cylinder {<0,0,0>,<0,0,0.03 >,0.009  texture {ppSkinTexture}} #end                 
#ifndef (ppRightThirdToeMiddle)   #declare ppRightThirdToeMiddle =  cylinder {<0,0,0>,<0,0,0.02 >,0.0065 texture {ppSkinTexture}} #end                 
#ifndef (ppRightThirdToeTip)      #declare ppRightThirdToeTip =     cylinder {<0,0,0>,<0,0,0.02 >,0.0065 texture {ppSkinTexture}} #end                 
#ifndef (ppRightLittleToeBase)    #declare ppRightLittleToeBase =   cylinder {<0,0,0>,<0,0,0.02 >,0.0075 texture {ppSkinTexture}} #end                 
#ifndef (ppRightLittleToeMiddle)  #declare ppRightLittleToeMiddle = cylinder {<0,0,0>,<0,0,0.02 >,0.005  texture {ppSkinTexture}} #end                 
#ifndef (ppRightLittleToeTip)     #declare ppRightLittleToeTip =    cylinder {<0,0,0>,<0,0,0.015>,0.005  texture {ppSkinTexture}} #end                  
                                                                                                                                                     
#ifndef(ppLeftThigh)  #declare ppLeftThigh  = cylinder{<0,0,0><0,0.45,0>,0.05 texture {ppSkinTexture}} #end                                      
#ifndef(ppLeftCalf)   #declare ppLeftCalf   = cylinder{<0,0,0><0,0.40,0>,0.05 texture {ppSkinTexture}} #end                                      
#ifndef(ppLeftFoot)   #declare ppLeftFoot   = cylinder{<0,0.025,-0.04><0,0.025,0.16>,0.05                                                            
                        scale <1,0.5,1> texture {ppSkinTexture}} #end                                                                            
#ifndef (ppLeftBigToeBase)        #declare ppLeftBigToeBase =       cylinder {<0,0,0>,<0,0,0.05 >,0.0125 texture {ppSkinTexture}} #end                           
#ifndef (ppLeftBigToeTip)         #declare ppLeftBigToeTip =        cylinder {<0,0,0>,<0,0,0.04 >,0.0125 texture {ppSkinTexture}} #end                           
#ifndef (ppLeftFirstToeBase)      #declare ppLeftFirstToeBase =     cylinder {<0,0,0>,<0,0,0.03 >,0.01   texture {ppSkinTexture}} #end                           
#ifndef (ppLeftFirstToeMiddle)    #declare ppLeftFirstToeMiddle =   cylinder {<0,0,0>,<0,0,0.03 >,0.0075 texture {ppSkinTexture}} #end                           
#ifndef (ppLeftFirstToeTip)       #declare ppLeftFirstToeTip =      cylinder {<0,0,0>,<0,0,0.02 >,0.0075 texture {ppSkinTexture}} #end                           
#ifndef (ppLeftMiddleToeBase)     #declare ppLeftMiddleToeBase =    cylinder {<0,0,0>,<0,0,0.03 >,0.01   texture {ppSkinTexture}} #end                                 
#ifndef (ppLeftMiddleToeMiddle)   #declare ppLeftMiddleToeMiddle =  cylinder {<0,0,0>,<0,0,0.02 >,0.0075 texture {ppSkinTexture}} #end                                 
#ifndef (ppLeftMiddleToeTip)      #declare ppLeftMiddleToeTip =     cylinder {<0,0,0>,<0,0,0.02 >,0.0075 texture {ppSkinTexture}} #end                 
#ifndef (ppLeftThirdToeBase)      #declare ppLeftThirdToeBase =     cylinder {<0,0,0>,<0,0,0.03 >,0.009  texture {ppSkinTexture}} #end                 
#ifndef (ppLeftThirdToeMiddle)    #declare ppLeftThirdToeMiddle =   cylinder {<0,0,0>,<0,0,0.02 >,0.0065 texture {ppSkinTexture}} #end                 
#ifndef (ppLeftThirdToeTip)       #declare ppLeftThirdToeTip =      cylinder {<0,0,0>,<0,0,0.02 >,0.0065 texture {ppSkinTexture}} #end                 
#ifndef (ppLeftLittleToeBase)     #declare ppLeftLittleToeBase =    cylinder {<0,0,0>,<0,0,0.02 >,0.0075 texture {ppSkinTexture}} #end                 
#ifndef (ppLeftLittleToeMiddle)   #declare ppLeftLittleToeMiddle =  cylinder {<0,0,0>,<0,0,0.02 >,0.005  texture {ppSkinTexture}} #end                 
#ifndef (ppLeftLittleToeTip)      #declare ppLeftLittleToeTip =     cylinder {<0,0,0>,<0,0,0.015>,0.005  texture {ppSkinTexture}} #end                  
                                                                                                                                                     



                                                                                                                                                     
                                                                                                                                                     
#if (strcmp(ppCamera,"SkinTexture")=0)
  camera {                                                                                                                                           
    location <0, 1,-1>                                                                                                                               
    look_at <0, 0, 0>                                                                                                                                
    angle 34.3775                                                                                                                                    
  }                                                                                                                                                  
                                                                                                                                                     
  light_source { <250, 60,-8900> color rgb<1, 1, 1>*0.6 }                                                                                            
  light_source { <0, 1400,-1600> color rgb<1, 1, 1>*1.2 }                                                                                            
  light_source { <0, 60,0> color rgb<1, 0.5, 0.5>}                                                                                                   
  light_source { <10, 4,10> color rgb<1, 1,1>}                                                                                                       
                                                                                                                                                     
  object {ppHead}                                                                                                                                    
#end                                                                                                                                                 
                                                                                                                                                     
                                                                                                                                                     
                                                                                                                                                     
