/***************************************************************************************************/
/* ppf1scaling.inc  - Copyright Chris Bartlett 2005                                                */
/* This work is licensed for royalty free re-use under the terms of the POV-Person License.        */
/* To view a copy of this license, visit http://www.telinco.co.uk/c_bartlett/license/license.htm   */
/***************************************************************************************************/
  
// This macro is used to add a series of scale factors to the parts of a figure. This macro is specific to a particular type of figure (e.g. "f1"). 
//
// Parameters:
// -----------  
// - This macro has no parameters
// 
#macro ppScaleBodyParts()
//  ppScaleBodyPart (ppLeftThumbBaseRef           ,<1,1,1>);
//  ppScaleBodyPart (ppLeftThumbMiddleRef         ,<1,1,1>);
//  ppScaleBodyPart (ppLeftThumbTipRef            ,<1,1,1>);
//  ppScaleBodyPart (ppLeftThumbNailRef           ,<1,1,1>);
//  ppScaleBodyPart (ppLeftFirstFingerBaseRef     ,<1,1,1>);
//  ppScaleBodyPart (ppLeftFirstFingerMiddleRef   ,<1,1,1>);
//  ppScaleBodyPart (ppLeftFirstFingerTipRef      ,<1,1,1>);
//  ppScaleBodyPart (ppLeftFirstFingerNailRef     ,<1,1,1>);
//  ppScaleBodyPart (ppLeftMiddleFingerBaseRef    ,<1,1,1>);   
//  ppScaleBodyPart (ppLeftMiddleFingerMiddleRef  ,<1,1,1>);          
//  ppScaleBodyPart (ppLeftMiddleFingerTipRef     ,<1,1,1>);
//  ppScaleBodyPart (ppLeftMiddleFingerNailRef    ,<1,1,1>);
//  ppScaleBodyPart (ppLeftThirdFingerBaseRef     ,<1,1,1>);   
//  ppScaleBodyPart (ppLeftThirdFingerMiddleRef   ,<1,1,1>);          
//  ppScaleBodyPart (ppLeftThirdFingerTipRef      ,<1,1,1>);
//  ppScaleBodyPart (ppLeftThirdFingerNailRef     ,<1,1,1>);
//  ppScaleBodyPart (ppLeftLittleFingerBaseRef    ,<1,1,1>);
//  ppScaleBodyPart (ppLeftLittleFingerMiddleRef  ,<1,1,1>);     
//  ppScaleBodyPart (ppLeftLittleFingerTipRef     ,<1,1,1>);   
//  ppScaleBodyPart (ppLeftLittleFingerNailRef    ,<1,1,1>);            
//                                                   
//  ppScaleBodyPart (ppRightThumbBaseRef          ,<1,1,1>);
//  ppScaleBodyPart (ppRightThumbMiddleRef        ,<1,1,1>);
//  ppScaleBodyPart (ppRightThumbTipRef           ,<1,1,1>);
//  ppScaleBodyPart (ppRightThumbNailRef          ,<1,1,1>);
//  ppScaleBodyPart (ppRightFirstFingerBaseRef    ,<1,1,1>);
//  ppScaleBodyPart (ppRightFirstFingerMiddleRef  ,<1,1,1>);
//  ppScaleBodyPart (ppRightFirstFingerTipRef     ,<1,1,1>);
//  ppScaleBodyPart (ppRightFirstFingerNailRef    ,<1,1,1>);
//  ppScaleBodyPart (ppRightMiddleFingerBaseRef   ,<1,1,1>);   
//  ppScaleBodyPart (ppRightMiddleFingerMiddleRef ,<1,1,1>);          
//  ppScaleBodyPart (ppRightMiddleFingerTipRef    ,<1,1,1>);
//  ppScaleBodyPart (ppRightMiddleFingerNailRef   ,<1,1,1>);
//  ppScaleBodyPart (ppRightThirdFingerBaseRef    ,<1,1,1>);   
//  ppScaleBodyPart (ppRightThirdFingerMiddleRef  ,<1,1,1>);          
//  ppScaleBodyPart (ppRightThirdFingerTipRef     ,<1,1,1>);
//  ppScaleBodyPart (ppRightThirdFingerNailRef    ,<1,1,1>);
//  ppScaleBodyPart (ppRightLittleFingerBaseRef   ,<1,1,1>);
//  ppScaleBodyPart (ppRightLittleFingerMiddleRef ,<1,1,1>);     
//  ppScaleBodyPart (ppRightLittleFingerTipRef    ,<1,1,1>);   
//  ppScaleBodyPart (ppRightLittleFingerNailRef   ,<1,1,1>);   
//  
//  ppScaleBodyPart (ppLeftFootRef            ,<1,1,1>);  
//  ppScaleBodyPart (ppRightFootRef           ,<1,1,1>);  
//                                             
//  ppScaleBodyPart (ppLeftBigToeTipRef       ,<1,1,1>);  
//  ppScaleBodyPart (ppLeftBigToeNailRef      ,<1,1,1>);
//  ppScaleBodyPart (ppLeftFirstToeTipRef     ,<1,1,1>);
//  ppScaleBodyPart (ppLeftFirstToeNailRef    ,<1,1,1>);
//  ppScaleBodyPart (ppLeftMiddleToeTipRef    ,<1,1,1>);
//  ppScaleBodyPart (ppLeftMiddleToeNailRef   ,<1,1,1>);
//  ppScaleBodyPart (ppLeftThirdToeTipRef     ,<1,1,1>);
//  ppScaleBodyPart (ppLeftThirdToeNailRef    ,<1,1,1>);
//  ppScaleBodyPart (ppLeftLittleToeTipRef    ,<1,1,1>);
//  ppScaleBodyPart (ppLeftLittleToeNailRef   ,<1,1,1>);
//  ppScaleBodyPart (ppLeftFirstToeMiddleRef  ,<1,1,1>);
//  ppScaleBodyPart (ppLeftMiddleToeMiddleRef ,<1,1,1>);
//  ppScaleBodyPart (ppLeftThirdToeMiddleRef  ,<1,1,1>);
//  ppScaleBodyPart (ppLeftLittleToeMiddleRef ,<1,1,1>);
//  ppScaleBodyPart (ppLeftBigToeBaseRef      ,<1,1,1>);
//  ppScaleBodyPart (ppLeftFirstToeBaseRef    ,<1,1,1>);
//  ppScaleBodyPart (ppLeftMiddleToeBaseRef   ,<1,1,1>);
//  ppScaleBodyPart (ppLeftThirdToeBaseRef    ,<1,1,1>);
//  ppScaleBodyPart (ppLeftLittleToeBaseRef   ,<1,1,1>);
//                                             
//  ppScaleBodyPart (ppRightBigToeTipRef      ,<1,1,1>);  
//  ppScaleBodyPart (ppRightBigToeNailRef     ,<1,1,1>);
//  ppScaleBodyPart (ppRightFirstToeTipRef    ,<1,1,1>);
//  ppScaleBodyPart (ppRightFirstToeNailRef   ,<1,1,1>);
//  ppScaleBodyPart (ppRightMiddleToeTipRef   ,<1,1,1>);
//  ppScaleBodyPart (ppRightMiddleToeNailRef  ,<1,1,1>);
//  ppScaleBodyPart (ppRightThirdToeTipRef    ,<1,1,1>);
//  ppScaleBodyPart (ppRightThirdToeNailRef   ,<1,1,1>);
//  ppScaleBodyPart (ppRightLittleToeTipRef   ,<1,1,1>);
//  ppScaleBodyPart (ppRightLittleToeNailRef  ,<1,1,1>);
//  ppScaleBodyPart (ppRightFirstToeMiddleRef ,<1,1,1>);
//  ppScaleBodyPart (ppRightMiddleToeMiddleRef,<1,1,1>);
//  ppScaleBodyPart (ppRightThirdToeMiddleRef ,<1,1,1>);
//  ppScaleBodyPart (ppRightLittleToeMiddleRef,<1,1,1>);
//  ppScaleBodyPart (ppRightBigToeBaseRef     ,<1,1,1>);
//  ppScaleBodyPart (ppRightFirstToeBaseRef   ,<1,1,1>);
//  ppScaleBodyPart (ppRightMiddleToeBaseRef  ,<1,1,1>);
//  ppScaleBodyPart (ppRightThirdToeBaseRef   ,<1,1,1>);
//  ppScaleBodyPart (ppRightLittleToeBaseRef  ,<1,1,1>);
#end 

