/***************************************************************************************************/
/* ppanimation001.inc  - Copyright Chris Bartlett September 2005                                   */
/* This work is licensed for royalty free re-use under the terms of the POV-Person License.        */
/* To view a copy of this license, visit http://www.telinco.co.uk/c_bartlett/license/license.htm   */
/***************************************************************************************************/

// This pose file illustrates the principles used for animation by generating a position interpolated
// between two positions selected from a sequence of positions based upon the clock.


#ifndef(ppCamera) 
  #include "pp00animationexample03.pov"
#else 

  #local ppKeyFrameCount = 6;
  #local ppTimings = array[ppKeyFrameCount+1] {0,0.15,0.3,0.5,0.65,0.8,1}
  #local ppKeyFrame1 = 0;
  #local ppKeyFrame2 = 1;
  
  #while (ppClock>=ppTimings[ppKeyFrame2])
    #local ppKeyFrame1 = ppKeyFrame1+1;
    #local ppKeyFrame2 = ppKeyFrame2+1;
  #end 

  #local ppArrayIndex1 = ppKeyFrame1;
  #local ppArrayIndex2 = ppKeyFrame2;
  
  #if (ppKeyFrame2>ppKeyFrameCount-1) #local ppKeyFrame2 = 0; #end
  
  #include concat("ppstepup",str(ppKeyFrame1,1,0),".inc")
  ppStashJointRotations() 
  #include concat("ppstepup",str(ppKeyFrame2,1,0),".inc")
  
  ppInterpolatePose((ppClock-ppTimings[ppArrayIndex1])/(ppTimings[ppArrayIndex2]-ppTimings[ppArrayIndex1]))  

//  #fopen ppFileHandle "walking.log" append 
//  #write (ppFileHandle,concat("Frame: ",str(clock*(ppFrameCount-1)+1,2,0)," Key Frame 1: ",str(ppKeyFrame1,1,0)," Key Frame 2: ",str(ppKeyFrame2,1,0)," Array Index 1: ",str(ppArrayIndex1,1,0)," Array Index 2: ",str(ppArrayIndex2,1,0)," Clock: ",str(clock,0,3)," Interpolation: ",str((ppClock-ppWalkTimings[ppArrayIndex1])/(ppWalkTimings[ppArrayIndex2]-ppWalkTimings[ppArrayIndex1]),0,3),"\n"))
#end
